
From: Zachary Amsden <zach@vmware.com>

The TSS no longer needs to be unbusied before loading the task register, since
the set_tss_desc macros set the system gate type to Available IA-32 TSS.  This
obscure, uncommented legacy code can now be removed for better readability and
saves 20 bytes of code space.  

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/cpu/common.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN arch/i386/kernel/cpu/common.c~i386-unbusy-tss-cleanup arch/i386/kernel/cpu/common.c
--- 25/arch/i386/kernel/cpu/common.c~i386-unbusy-tss-cleanup	Wed Aug 18 16:10:54 2004
+++ 25-akpm/arch/i386/kernel/cpu/common.c	Wed Aug 18 16:10:54 2004
@@ -559,13 +559,11 @@ void __init cpu_init (void)
 
 	load_esp0(t, thread);
 	set_tss_desc(cpu,t);
-	per_cpu(cpu_gdt_table,cpu)[GDT_ENTRY_TSS].b &= 0xfffffdff;
 	load_TR_desc();
 	load_LDT(&init_mm.context);
 
 	/* Set up doublefault TSS pointer in the GDT */
 	__set_tss_desc(cpu, GDT_ENTRY_DOUBLEFAULT_TSS, &doublefault_tss);
-	per_cpu(cpu_gdt_table, cpu)[GDT_ENTRY_DOUBLEFAULT_TSS].b &= 0xfffffdff;
 
 	/* Clear %fs and %gs. */
 	asm volatile ("xorl %eax, %eax; movl %eax, %fs; movl %eax, %gs");
_
